ForceFields::MMFF::MMFFPropCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFProp * | operator() (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions

static MMFFPropCollection * | getMMFFProp (const std::string &mmffProp="")
| gets a pointer to the singleton MMFFPropCollection More...

## Detailed Description

Definition at line 245 of file MMFF/Params.h.

## Member Function Documentation

## getMMFFProp()

static MMFFPropCollection* ForceFields::MMFF::MMFFPropCollection::getMMFFProp | ( | const std::string & | mmffProp = `""` | ) |

static

gets a pointer to the singleton MMFFPropCollection

Parameters

  mmffProp | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFPropCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFPropCollection has already been instantiated and `mmffProp` is empty, the singleton will be returned.
- if `mmffProp` is empty and the singleton MMFFPropCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffProp` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

## operator()()

const MMFFProp* ForceFields::MMFF::MMFFPropCollection::operator() | ( | const unsigned int | atomType | ) | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFProp object, NULL on failure.

Definition at line 269 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h